TAR(1)

BEZEICHNUNG
tar - Die GNU-Version des tar-Archivierungswerkzeugs

ÜBERSICHT
tar [-] A --catenate --concatenate | c --create | d --diff --compare | --delete | r --append | t --list | --test-label | u --update | x --extract --get [Optionen] [Pfadname ...]

BESCHREIBUNG
Tar sichert und extrahiert Dateien aus einem Archiv auf Magnetband oder Festplatte.

Das erste Argument für tar sollte eine Funktion sein; entweder einer der Buchstaben Acdrtux oder einer der langen Funktionsnamen. Ein Funktionsbuchstabe benötigt kein vorangestelltes »-« und kann mit weiteren Einzelbuchstaben-Optionen kombiniert werden. Ein langer Funktionsname muss ein vorangestelltes -- haben. Einige Optionen erwarten Parameter; wenn sie als einzelne Buchstaben angegeben wurden, müssen die Parameter abgetrennt werden. Beim langen Format können sie mittels =value an die Option angehängt werden.

FUNKTIONSBUCHSTABEN
Hauptarbeitsmodus:

-A, --catenate, --concatenate
    Tar-Dateien an ein Archiv anhängen

-c, --create
    Ein neues Archiv erstellen

-d, --diff, --compare
    Unterschiede zwischen Archiv und Dateisystem finden

--delete
    Aus dem Archiv löschen (nicht auf Magnetbändern!)

-r, --append
    Dateien an das Ende des Archivs anhängen

-t, --list
    Inhalt eines Archivs auflisten

--test-label
    Die Datenträgerbeschriftung des Archivs testen und beenden

-u, --update
    Nur Dateien anhängen, die neuer sind als ihre Kopie im Archiv

-x, --extract, --get
    Dateien aus einem Archiv extrahieren

WEITERE OPTIONEN
Modifikatoren der Arbeitsweise:

-[0-7][lmh]
    Laufwerk und Dichte angeben

-a, --auto-compress
    Die Archiv-Endung verwenden, um das Kompressionsprogramm herauszufinden

--acls
    POSIX-ACL-Unterstützung aktivieren

--no-acls
    POSIX-ACL-Unterstützung deaktivieren

--add-file=DATEI
    Die angegebene DATEI zum Archiv hinzufügen (nützlich, wenn deren Name mit einem Bindestrich beginnt)

--anchored
    Suchmuster passen auf den Anfang des Dateinamens

--no-anchored
    Suchmuster passen nach jedem »/« (Voreinstellung für Ausschluss)

--atime-preserve
    preserve access times on dumped files, either by restoring the times

--no-auto-compress
    Die Archiv-Endung nicht verwenden, um das Kompressionsprogramm herauszufinden

-b, --blocking-factor BLÖCKE
    BLÖCKE x 512 Byte pro Datensatz

-B, --read-full-records
    Datensätze während des Lesens neu ausrichten (für 4.2BSD-Pipes)

--backup
    Sicherungskopie vor dem Löschen, wählen Sie die Versions-STEUERUNG

-C, --directory VERZ
    Zum Verzeichnis VERZ wechseln

--check-device
    Gerätenummern überprüfen, wenn inkrementelle Archive erstellt werden (Voreinstellung)

--no-check-device
    Gerätenummern nicht überprüfen, wenn inkrementelle Archive erstellt werden

--checkpoint
    Fortschrittsnachrichten alle ANZAHL Datensätze ausgeben (Voreinstellung 10)

--checkpoint-action=AKTION
    AKTION bei jedem Kontrollpunkt ausführen

--delay-directory-restore
    delay setting modification times and permissions of extracted

--no-delay-directory-restore
    Die Auswirkung der Option --delay-directory-restore aufheben

--exclude=SUCHMUSTER
    Dateien ausschließen, auf die das SUCHMUSTER passt

--exclude-backups
    Sicherheitskopien und Sperrdateien ausschließen

--exclude-caches
    exclude contents of directories containing CACHEDIR.TAG,

--exclude-caches-all
    Verzeichnisse ausschließen, die CACHEDIR.TAG enthalten

--exclude-caches-under
    Alles unterhalb von Verzeichnissen ausschließen, die CACHEDIR.TAG enthalten

--exclude-tag=DATEI
    exclude contents of directories containing FILE, except

--exclude-tag-all=DATEI
    Verzeichnisse ausschließen, die DATEI enthalten

--exclude-tag-under=DATEI
    Alles unterhalb von Verzeichnissen ausschließen, die DATEI enthalten

--exclude-vcs
    Verzeichnisse von Versionskontrollsystemen ausschließen

-f, --file ARCHIV
    Die Archivdatei oder das Gerät ARCHIV verwenden

-F, --info-script, --new-volume-script NAME
    Skript am Ende jedes Bands ausführen (impliziert -M)

--force-local
    Die Archivdatei ist lokal, selbst wenn sie einen Doppelpunkt enthält

--full-time
    Die Dateizeit in der vollen Auflösung ausgeben

-g, --listed-incremental DATEI
    Neues GNU-Format für inkrementelle Sicherheitskopien verwenden

-G, --incremental
    Altes GNU-Format für inkrementelle Sicherheitskopien verwenden

--group=NAME
    NAME als Gruppe für hinzugefügte Dateien erzwingen

-h, --dereference
    Symbolischen Links folgen; die Dateien archivieren und ausgeben, auf die sie zeigen

-H, --format FORMAT
    Archiv im angegebenen Format erstellen. FORMAT ist eines der folgenden:

    --format=gnu
        GNU tar 1.13.x-Format

    --format=oldgnu
        GNU-Format entsprechend tar <= 1.12

    --format=pax
        POSIX 1003.1-2001-(pax)-Format

    --format=posix
        Das Gleiche wie pax

    --format=ustar
        POSIX 1003.1-1988-(ustar)-Format

    --format=v7
        Altes V7-tar-Format

--hard-dereference
    Harten Links folgen; die Dateien archivieren und ausgeben, auf die sie sich beziehen

-i, --ignore-zeros
    Ignorieren von mit Nullen gefüllten Blöcken im Archiv (bedeutet Ende der Datei, »EOF«)

-I, --use-compress-program PROG
    Durch das Programm PROG filtern (dies muss -d akzeptieren)

--ignore-case
    Groß-/Kleinschreibung ignorieren

--no-ignore-case
    Groß-/Kleinschreibung beachten (Voreinstellung)

--ignore-command-error
    Rückgabewerte von Kindprozessen ignorieren

--no-ignore-command-error
    Rückgabewerte ungleich Null von Kindprozessen als Fehler behandeln

--ignore-failed-read
    Bei nicht lesbaren Dateien nicht mit einem Rückgabewert ungleich Null beenden

--index-file=DATEI
    Ausführliche Ausgabe in DATEI umlenken

-j, --bzip2

-J, --xz

-k, --keep-old-files
    don't replace existing files when extracting,

-K, --starting-file MITGLIEDSNAME
    Beim Mitglied MITGLIEDSNAME beim Lesen des Archivs starten

--keep-directory-symlink
    Existierende symbolische Verzeichnislinks beim Extrahieren überschreiben

--keep-newer-files
    Existierende Dateien nicht ersetzen, die neuer sind als ihre Kopie im Archiv

-l, --check-links
    Eine Nachricht ausgeben, falls nicht alle Links ausgegeben wurden

-L, --tape-length ANZAHL
    Band nach Schreiben von ANZAHL x 1024 Byte wechseln

--level=ZAHL
    Level für erstellte inkrementelle Archive ausgeben

--lzip

--lzma

--lzop

-m, --touch
    Dateiänderungszeit nicht extrahieren

-M, --multi-volume
    Erstellen/Auflisten/Extrahieren von Multi-Volume-Archiven

--mode=ÄNDERUNGEN
    Die (symbolischen) ÄNDERUNGEN des Modus für hinzugefügte Dateien erzwingen

--mtime=DATUM-ODER-DATEI
    Setze mtime für hinzugefügte Dateien aus DATUM-ODER-DATEI

-n, --seek
    Archiv ist zu durchsuchen

-N, --newer, --after-date DATUM-ODER-DATEI
    Nur Dateien sichern, die neuer sind als DATUM-ODER-DATEI

--newer-mtime=DATUM
    Datum und Zeit vergleichen, wenn nur Daten geändert wurden

--null
    -T liest null-terminierte Namen, schaltet -C aus

--no-null
    Den Effekt der vorhergehenden Option --null aufheben

--numeric-owner
    Immer Zahlen für Benutzer-/Gruppennamen verwenden

-O, --to-stdout
    Dateien in die Standardausgabe extrahieren

--occurrence
    process only the NUMBERth occurrence of each file in the archive;

--old-archive, --portability
    Das Gleiche wie --format=v7

--one-file-system
    Im lokalen Dateisystem bleiben, wenn ein Archiv erstellt wird

--overwrite
    Existierende Dateien beim Extrahieren überschreiben

--overwrite-dir
    Metadaten von existierenden Verzeichnissen beim Extrahieren überschreiben (Voreinstellung)

--no-overwrite-dir
    Metadaten von existierenden Verzeichnissen behalten

--owner=NAME
    NAME als Besitzer für hinzugefügte Dateien erzwingen

-p, --preserve-permissions, --same-permissions
    Informationen über Dateiberechtigungen extrahieren (Voreinstellung für den Administrator)

-P, --absolute-names
    Führende »/« von Dateinamen nicht entfernen

--pax-option=Schlüsselwort[[:]=Wert][,Schlüsselwort[[:]=Wert]]...
    Pax-Schlüsselwörter kontrollieren

--posix
    Das Gleiche wie --format=posix

--preserve
    Das Gleiche wie -p und -s

--quote-chars=ZEICHENKETTE
    Zeichen aus ZEICHENKETTE zusätzlich maskieren

--no-quote-chars=ZEICHENKETTE
    Maskieren von Zeichen aus ZEICHENKETTE ausschalten

--quoting-style=STIL
    Maskierungsstil für Namen festlegen, siehe unten für gültige Werte für STIL

-R, --block-number
    Anzeige der Blocknummer innerhalb des Archivs mit jeder Nachricht

--record-size=ANZAHL
    ANZAHL Byte pro Datensatz, Vielfaches von 512

--recursion
    In Verzeichnisse hinabsteigen (Voreinstellung)

--no-recursion
    Nicht automatisch in Verzeichnisse hinabsteigen

--recursive-unlink
    Hierarchien vor dem Extrahieren eines Verzeichnisses leeren

--remove-files
    Dateien löschen, nachdem sie zum Archiv hinzugefügt wurden

--restrict
    Verwendung von einigen potenziell schädlichen Optionen ausschalten

--rmt-command=BEFEHL
    Den angegebenen rmt-BEFEHL anstelle von rmt verwenden

--rsh-command=BEFEHL
    Den angegebenen BEFEHL aus der Ferne anstelle von rsh verwenden

-s, --preserve-order, --same-order
    member arguments are listed in the same order as the

-S, --sparse
    Sparsedateien effizient bearbeiten

--same-owner
    Versuchen, Dateien mit denselben Besitzern zu extrahieren, wie sie im Archiv existieren (Voreinstellung für den Administrator)

--no-same-owner
    Dateien mit dem aufrufenden Benutzer als Besitzer extrahieren (Voreinstellung für normale Benutzer)

--no-same-permissions
    Die umask des Benutzers anwenden, wenn Dateirechte aus dem Archiv extrahiert werden (Voreinstellung für normale Benutzer)

--no-seek
    Archiv ist nicht zu durchsuchen

--selinux
    Unterstützung für SELinux-Kontext aktivieren

--no-selinux
    Unterstützung für SELinux-Kontext deaktivieren

--show-defaults
    Voreinstellungen von tar anzeigen

--show-omitted-dirs
    Beim Auflisten oder Extrahieren jedes Verzeichnis anzeigen, das nicht auf die Suchkriterien passt

--show-snapshot-field-ranges
    gültige Bereiche für snapshot-file-Felder anzeigen

--show-transformed-names, --show-stored-names
    Datei- oder Archivnamen nach der Umwandlung anzeigen

--skip-old-files
    Existierende Dateien beim Extrahieren nicht ersetzen, sie werden ohne Meldung übersprungen

--sparse-version=MAJOR[.MINOR]
    Version des Sparse-Formats festlegen (impliziert --sparse)

--strip-components=ANZAHL
    ANZAHL führende Komponenten von Dateinamen während der Extraktion abschneiden

--suffix=ZEICHENKETTE
    Sicherheitskopie vor dem Löschen anlegen, die übliche Endung überschreiben (»~«, sofern nicht von der Umgebungsvariablen SIMPLE_BACKUP_SUFFIX überschrieben)

-T, --files-from DATEI
    Namen zum Extrahieren oder Erstellen aus DATEI lesen

--to-command=BEFEHL
    Extrahierte Dateien an ein anderes Programm über eine Pipe weiterreichen

--totals
    print total bytes after processing the archive;

--transform, --xform AUSDRUCK
    Den AUSDRUCK zum Ersetzen mit sed benutzen, um Dateinamen zu ändern

-U, --unlink-first
    Jede Datei löschen, bevor sie beim Extrahieren überschrieben wird

--unquote
    Dateinamen demaskieren, die mit -T gelesen wurden (Voreinstellung)

--no-unquote
    Dateinamen nicht demaskieren, die mit -T gelesen wurden

--utc
    Dateiänderungszeiten in UTC ausgeben

-v, --verbose
    Verarbeitete Dateien ausführlich auflisten

-V, --label TEXT
    Archiv mit dem Datenträgernamen TEXT erstellen; beim Auflisten oder Extrahieren wird TEXT als Suchmuster für den Datenträgernamen verwendet

--volno-file=DATEI
    Die Datenträgerzahl in DATEI benutzen/aktualisieren

-w, --interactive, --confirmation
    Vor jeder Aktion eine Bestätigung abfragen

-W, --verify
    Versuchen, das Archiv nach dem Schreiben zu überprüfen

--warning=SCHLÜSSELWORT
    Kontrolle der Warnungen

--wildcards
    Platzhalter benutzen (Voreinstellung für den Ausschluss)

--wildcards-match-slash
    Platzhalter passen auf »/« (Voreinstellung für den Ausschluss)

--no-wildcards-match-slash
    Platzhalter passen nicht auf »/«

--no-wildcards
    Wortgetreuer Abgleich von Zeichenketten

-X, --exclude-from DATEI
    Suchmuster ausschließen, die in DATEI aufgelistet sind

--xattrs
    Unterstützung für erweiterte Attribute aktivieren

--xattrs-exclude=MASKE
    das Ausschlussmuster für Xattr-Schlüssel festlegen

--xattrs-include=MASKE
    das Einbeziehungsmuster für Xattr-Schlüssel festlegen

--no-xattrs
    Unterstützung für erweiterte Attribute deaktivieren

-z, --gzip, --gunzip --ungzip

-Z, --compress, --uncompress

UMGEBUNGSVARIABLEN
Das Verhalten von tar wird von den folgenden Umgebungsvariablen kontrolliert, unter anderem:

SIMPLE_BACKUP_SUFFIX
    Endung für Sicherheitskopien beim Extrahieren, falls --suffix nicht angegeben ist. Die Endung für Sicherheitskopien ist auf »~« voreingestellt, falls keins von beiden angegeben ist.

TAR_OPTIONS
    Optionen, die den auf der Befehlszeile angegebenen vorangestellt werden, getrennt durch Leerzeichen. Rückwärtsschrägstriche können benutzt werden, um Leerzeichen oder Rückwärtsschrägstriche innerhalb einer Option zu maskieren.

TAPE
    Gerät oder Datei, die für das Archiv benutzt werden soll, wenn --file nicht angegeben wurde. Wenn diese Umgebungsvariable nicht gesetzt ist, werden stattdessen die Standardeingabe oder Standardausgabe verwendet.

BEISPIELE
Erstellen des Archivs archive.tar aus den Dateien foo und bar.
    tar -cf archive.tar foo bar

Alle Dateien in archive.tar mit vielen Informationen auflisten.
    tar -tvf archive.tar

Alle Dateien aus archive.tar extrahieren.
    tar -xf archive.tar

SIEHE AUCH
tar(5), symlink(7), rmt(8)

GESCHICHTE
Der Befehl tar erschien in AT&T UNIX.

FEHLER
Im Allgemeinen hassen die GNU-Leute Handbuchseiten und erstellen stattdessen Info-Dokumente. Leider ist das Info-Dokument, das tar beschreibt, unter der GFDL mit unveränderlichen Deckblatttexten lizenziert, so dass es nicht möglich ist, Text aus dem Dokument in dieser Handbuchseite zu verwenden. Der meiste Text in diesem Dokument wurde automatisch aus dem Hilfetext des Quelltextes extrahiert. Möglicherweise beschreibt er nicht vollständig alle Merkmale des Programms.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Tobias Quathamer <toddy@debian.org>, Helge Kreutzmann <debian@helgefjell.de> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.